/* FONT */
@font-face {
    font-family: "Nanum Square Round Light";
    src: url("/font/krn/NanumSquareRoundL.otf");
}
@font-face {
    font-family: "Nanum Square Round Regular";
    src: url("/font/krn/NanumSquareRoundR.otf");
}
@font-face {
    font-family: "Nanum Square Round Bold";
    src: url("/font/krn/NanumSquareRoundB.otf");
}
@font-face {
    font-family: "Nanum Square Round Extra Bold";
    src: url("/font/krn/NanumSquareRoundEB.otf");
}

@font-face {
  font-family: "Biscuitos";
  src: url("/font/Biscuitos.otf");
}

@font-face {
  font-family: "TEXAS LED";
  src: url("/font/TEXASLED.TTF");
}

/* VARIABLES */
:root {
  --mysticviolet: #a193d8;
  --mysticblue: #7ea8e9;
  --frame: rgba(255, 255, 255, 0.97);
  --border: #3c1053;
  --text: #1c1053;
  --link: #426aff;
  --pageoutline: #9a9bbb;
  --pagebackground: url(/images/bg/q07-bg-paper.png);

  --playlist-bg: #2c081d;
  --playlist-color: #b6daff;
  --playlist-shadow: 1px 1px 4px rgba(28, 72, 213, 0.77);

  --purple: #9a89f6;
  --green: #bfdfae;
  --pink: #ef9bae;
  --red: #e75254;
  --orange: #ef8c63;
  --yellow: #f8d655;
  --skyblue: #9ec7f9;
}

.bus-sign {
  background: #150416;
  color: #0090ff;
  justify-content: center;
  display: flex;
  border-bottom: ridge 5px;
  position: absolute;
  margin-left: -0.5px;
  margin-top: -115px;
  width: 100%;
  padding: 20px 0px 10px 0px;
  height: auto;
  z-index: 99999;
}

.bus-letter {
  font-size: 3rem;
  color: #ffffff;
  text-shadow: 1px 1px 7px rgb(255, 255, 255);
  font-family: "TEXAS LED";
}

.bus-number {
  font-size: 3rem;
  color: yellow;
  text-shadow: 1px 1px 7px yellow;
  font-family: "TEXAS LED";
}

.bus-arrow {
  font-size: 3rem;
  color: rgb(0, 202, 255);
  text-shadow: 1px 1px 7px rgba(0, 144, 255, 0.88);
  font-family: "TEXAS LED";
}

.bus-location {
  font-size: 3rem;
  color: #ffffff;
  text-shadow: 1px 1px 7px rgb(255, 255, 255);
  font-family: "TEXAS LED";
}

.owlbus {
  width: auto;
}

.owlbus img {
  width: 40px;
  margin-right: 20px;
  filter: drop-shadow(1px 1px 6px rgba(0, 144, 255, 0.88));
  transition: all 0.2s ease-in-out;
}

.full-page {
  font-family: "Nanum Square Round Bold";
  padding: 50px;
  color: var(--text);
  background: var(--pagebackground);
  background-attachment: scroll;
  background-repeat: repeat-y;
  overflow:clip;
}

.sitemapbody {
  text-transform: uppercase;
  position:relative;
  height:100%;
}

/*LINES*/
#mysticblue {
  background: var(--mysticblue);
}
#mysticviolet {
  background: var(--mysticviolet);
}

.verticalline {
  border-left: 11px double #30429e;
  height: 130%;
  top:-100px;
  left: 120px;
  position: absolute;
  margin-left: -3px;
  z-index: 0;
}

.diagonal {
  height: 39px;
  width: 5px;
  border-radius: 25px;
  position: absolute;
  margin-top: -27px;
  margin-left: 145px;
  z-index: 0;
  transform: rotate(-55deg);
}

.page-name {
  color: var(--link);
  text-decoration: underline;
}

.page-name:hover {
  color: rgba(0, 144, 255, 0.6);
}

.insidebody {
  position: relative;
  padding: 7px 0px 3px 0px;
  height: auto;
  left: 155px;
  top:  0px;
  width: 250px;
}

.down {
  padding: 1px 0px 3px 0px;
  height: 100%;
  width: 5px;
  border-radius: 25px;
  position: absolute;
  margin-left: 5px;
  margin-top: -6px;
  z-index: 0;
}

.full-page ul {
  position: relative;
  margin-left: -20px;
  
}

.full-page ul .inside {
  margin-left: -30px;
  padding-left: 0;
  list-style: none;
  
}

.full-page ul .inside2 {
  margin-left: -120px;
  margin-top: 9px;
  margin-bottom: 5px;
  padding-left: 0;
  list-style: none;
}

.outside {
  width: 100px;
  text-align: right;
  margin-left: 15px;
  display: block;
  list-style-position: outside;
  padding-left: 0;
  list-style: none;
}

.full-page li {
  line-height: 30px;
}

.full-page li:before {
  content: "•";
  color: var(--frame);
  text-shadow:
    1.41px 1.41px var(--darkviolet),
    2px 0 var(--darkviolet),
    1.41px -1.41px var(--darkviolet),
    0 -2px var(--darkviolet),
    -1.41px -1.41px var(--darkviolet),
    -2px 0 var(--darkviolet),
    -1.41px 1.41px var(--darkviolet),
    0 2px var(--darkviolet);
  font-size: 50px;
  vertical-align: middle;
  margin-right: 15px;
}


.full-page label {
  z-index:0;
}

.outside label {
  display: flex;
  margin-left: 34px;
  width: 75%;
  justify-content: flex-end;
  align-items: center;
  text-decoration: underline;
  
}

.inside label {
  display: flex;
  margin-left: 23px;
  margin-top: 5px;
  width: fit-content;
  justify-content: flex;
  align-items: center;
  text-decoration: underline;
}

.inside2 label {
  display: flex;
  margin-left: 23px;
  margin-top: -2px;
  width: fit-content;
  justify-content: flex;
  align-items: center;
}

#disabled:hover {
  background-color: rgba(0, 0, 0, 0);
  color: #333;
}

#disabled {
  cursor: url("/cursors/Cosmica-Angel-Lilac/default.cur"), default;
  color: #333;
  text-decoration: none;
}

.control {
  margin-bottom: 5px;
  padding-top: 3px;
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
}

.control input {
  position: absolute;
  z-index: 0;
  opacity: 0;
}

.control_indicator {
  height: 15px;
  width: 15px;
  margin: 0px 14px 5px 7px;
  background: #e6e6e6;
  border: 5px ridge #859fad;
  z-index: 9;
}

.control:hover input ~ .control_indicator,
.control input:focus ~ .control_indicator {
  background: #226da9;
}

.control input:hover ~ .control_indicator:after {
  display: block;
}

.control input:checked ~ .control_indicator {
  background: #226da9;
}

.control input:disabled ~ .control_indicator {
  background: #212a2a;
  cursor: default;
}

.control input:disabled:hover ~ .control_indicator:after {
  display: none;
}

.control_indicator:after {
  box-sizing: unset;
  content: "";
  position: absolute;
  display: none;
}
.control input:checked ~ .control_indicator:after {
  display: block;
}
.control-radio .control_indicator {
  border-radius: 50%;
}

.control-radio .control_indicator:after {
  position: relative;
  left: 0px;
  top: -33px;
  height: 6px;
  width: 6px;
  border-radius: 50%;
  background: #9bd9ff;
  filter: blur(1px) saturate(200%);
  transition: background 250ms;
}

.control-radio input:disabled ~ .control_indicator:after {
  background: #ffa9f0;
}

.control-radio .control_indicator::before {
  content: "";
  display: block;
  position: relative;
  right: 0;
  top: 0px;
  width: 4rem;
  height: 4rem;
  margin-left: -1.7rem;
  margin-top: -1.8rem;
  background: #3373ff;
  border-radius: 3rem;
  opacity: 40%;
  z-index: 99999;
  transform: scale(0);
}

/* ===== Scrollbar CSS ===== */
/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

*::-webkit-scrollbar-track {
  background-color: #e4e4e4;
  -webkit-border-radius: 0px;
  border-radius: 0px;
}

*::-webkit-scrollbar-thumb {
  -webkit-border-radius: 2px;
  border-radius: 2px;
  background: linear-gradient(-90deg, #b2bcdc, #eee);
  box-shadow: inset 0 0 0 1px #ffffff99;
  border: 1px solid #9698da;
}

*::-webkit-scrollbar-thumb:hover {
  -webkit-border-radius: 3px;
  border-radius: 3px;
  background: #ceceff;
  box-shadow: none;
  border: 1px solid #9698da;
}

@media (max-width: 600px) {
  .sitemapbody {
    margin: 0px 0px 0px -70px;
    width: 90%;
  }
  
  .inside2 label {
    width:100px;
    text-align: left;
  }
  
  .verticalline {
  border-left: 11px double #30429e;
  height: 130%;
  top:-200px;
  left: 120px;
  position: absolute;
  margin-left: -3px;
  z-index: 0;
}
  
  .full-page {
    background:none;
  }
}
